#ifndef __CLF_PRIMITIVES__
#define __CLF_PRIMITIVES__

#include "clf_math.h"

void clf_enable_textures(int tex);
void clf_disable_textures();
void drawBox(GLfloat sizex, GLfloat sizey, GLfloat sizez);
void drawSphere(GLfloat radius/*, GLint slices, GLint stacks*/);

class clf_quad{
	clf_vector3D vertices[4];
public:
	clf_quad();
	~clf_quad();
	clf_matrix4x4& create_shadow_matrix(clf_vector4& light_position);
	void set_vertices(clf_vector3D& p0, clf_vector3D& p1,clf_vector3D& p2,clf_vector3D& p3);
	void render();
};


#endif // __CLF_PRIMITIVES__
